/*!
 * Copyright 2012 E.J.I.E., S.A.
 *
 * Licencia con arreglo a la EUPL, Versión 1.1 exclusivamente (la «Licencia»);
 * Solo podrá usarse esta obra si se respeta la Licencia.
 * Puede obtenerse una copia de la Licencia en
 *
 *      http://ec.europa.eu/idabc/eupl.html
 *
 * Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, 
 * el programa distribuido con arreglo a la Licencia se distribuye «TAL CUAL»,
 * SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
 * Véase la Licencia en el idioma concreto que rige los permisos y limitaciones
 * que establece la Licencia.
 */

jQuery(document).ready(function(){
	
	// Evitar conflictos entre Bootstrap y jQueryUI
	$.fn.bootstrapBtn = $.fn.button.noConflict();

	//logo
	$("#rup_dept_logo").attr("src", $.rup.APP_STATICS + "/images/dept_logo_" + $.rup.lang + ".gif");
		
	//idioma
	$("#ab79WebAppWar_language").rup_language({languages: $.rup.AVAILABLE_LANGS_ARRAY, modo: "default"});
	//idioma cambiar en el selector de idiomas
	//$("[data-idioma='" + $.rup.lang + "']").addClass("active");
	
	//menu
	$("#ab79WebAppWar_menu").rup_menu({
		display: ($.rup.LAYOUT === "vertical" ? 'vertical' : 'horizontal')
	});
	if ($.rup.LAYOUT === "mixto") {
		$("#ab79WebAppWar_menu_mixto").rup_menu({
			display: 'vertical'
		});
	}
	
	var selector = '.nav li';
	
	$(selector).on('click', function(){
	    $(selector).removeClass('active');
	    $(this).addClass('active');
	});
	
	//-----------------------------------------------------------------
	// Idioma
	//-----------------------------------------------------------------
	var urlActual = $(location).attr('href'),
		blUrlParametros = (urlActual.indexOf("?") == -1) ? false : true,
		blParamIdioma = (urlActual.indexOf("locale=") == -1) ? false : true,
		blParamIdiomaPrimero = (urlActual.indexOf("?locale=") == -1) ? false : true,
		caracter = "";

	// Eliminar el parametro idioma de la url
	if (blParamIdioma) {
		if (blParamIdiomaPrimero) 	{ caracter = "?"; }
		else 						{ caracter = "&"; }
		
		urlActual = urlActual.replace(caracter + "locale=" + $.rup.lang, "");
	}
	
	// Eliminar almohadilla del final de la url
	urlActual = urlActual.replace("#","");
	
	if (blUrlParametros && !blParamIdiomaPrimero) 	{ caracter = "&"; }
	else											{ caracter = "?"; }
	$("#lenguaje_es").attr("href", urlActual + caracter + "locale=es");
	$("#lenguaje_eu").attr("href", urlActual + caracter + "locale=eu");
	

	$("#lenguaje_" + $.rup.lang)
	.addClass("ab79_lenguaje_activo")
	.attr("href","javascript:void(0);");
	
	//navbar fijo al hacer scroll
	var $navbarAffix;
	//si tengo navbar secundario, dejo fijo ese. Si no, el principal
	if ($(".navbar-secundario").length > 0){
		$navbarAffix = $(".navbar-secundario");
	}else{
		$navbarAffix = $(".navbar-principal");
	}
	
	//cofiguración de campos fecha
	$(".campoFecha").each(function(){
		$("#"+this.id).rup_date();
	});
	
	 //Sacar --- en los combos de toda la app
	jQuery.extend(true, jQuery.rup.i18n.base.rup_combo, { blankNotDefined : "----" });
	
});